Package org.apache.synapse.transport.nhttp

## Class HttpCoreNIOSSLListener

- java.lang.Object
- - org.apache.synapse.transport.nhttp.HttpCoreNIOListener
  - - org.apache.synapse.transport.nhttp.HttpCoreNIOSSLListener

- All Implemented Interfaces:
    `org.apache.axis2.transport.base.ManagementSupport`, `org.apache.axis2.transport.TransportListener`

      public class HttpCoreNIOSSLListener
      extends HttpCoreNIOListener

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.transport.nhttp.HttpCoreNIOListener

      `ACTIVE_CONNECTION_MONITOR_DELAY`

    - ### Fields inherited from interface org.apache.axis2.transport.TransportListener

      `HOST_ADDRESS, PARAM_PORT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpCoreNIOSSLListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ServerConnFactoryBuilder` | `initConnFactoryBuilder​(org.apache.axis2.description.TransportInDescription transportIn, org.apache.http.HttpHost host, org.apache.axis2.context.ConfigurationContext configurationContext)` |
    `protected Scheme` | `initScheme()` |

    - ### Methods inherited from class org.apache.synapse.transport.nhttp.HttpCoreNIOListener

      `destroy, getActiveConnectionsSize, getActiveThreadCount, getAvgSizeReceived, getAvgSizeSent, getBytesReceived, getBytesSent, getEPRForService, getEPRsForService, getFaultsReceiving, getFaultsSending, getLastResetTime, getMaxSizeReceived, getMaxSizeSent, getMessagesReceived, getMessagesSent, getMetricsWindow, getMinSizeReceived, getMinSizeSent, getQueueSize, getResponseCodeTable, getServiceEPRPrefix, getServiceEPRPrefix, getSessionContext, getTimeoutsReceiving, getTimeoutsSending, init, initConnFactoryBuilder, maintenenceShutdown, pause, reload, reloadDynamicSSLConfig, reloadSpecificEndpoints, resetStatistics, resume, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpCoreNIOSSLListener

          public HttpCoreNIOSSLListener()

  - ### Method Detail

    - #### initScheme

          protected Scheme initScheme()

      Overrides:
        `initScheme` in class `HttpCoreNIOListener`

    - #### initConnFactoryBuilder

          protected ServerConnFactoryBuilder initConnFactoryBuilder​(org.apache.axis2.description.TransportInDescription transportIn,
                                                                    org.apache.http.HttpHost host,
                                                                    org.apache.axis2.context.ConfigurationContext configurationContext)
                                                             throws org.apache.axis2.AxisFault

      Overrides:
        `initConnFactoryBuilder` in class `HttpCoreNIOListener`
      Throws:
        `org.apache.axis2.AxisFault`